name: Intaleq
description: A new Flutter project.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ">=3.0.5 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  secure_string_operations:
    path: ./secure_string_operations
  firebase_messaging: ^16.0.2
  firebase_core: ^4.1.1
  flutter_local_notifications: ^19.4.2
  google_maps_flutter: ^2.5.0
  sqflite: ^2.3.0
  path: ^1.8.3
  intl: ^0.20.2
  http: ^1.2.2
  get: ^4.6.5
  get_storage: ^2.1.1
  url_launcher: ^6.1.20
  location: ^8.0.1
  google_polyline_algorithm: ^3.1.0
  animated_text_kit: ^4.2.2
  flutter_secure_storage: ^10.0.0-beta.4
  geolocator: ^14.0.2
  flutter_paypal: ^0.2.0
  google_fonts: ^6.2.1
  flutter_launcher_icons: ^0.14.2
  flutter_rating_bar: ^4.0.1
  flutter_font_icons: ^2.2.5
  image_picker: ^1.0.4
  flutter_stripe: ^12.0.2
  #  camera: ^0.10.5+5 #to be remove
  flutter_widget_from_html: ^0.17.1
  local_auth: ^2.1.7
  #  image: ^4.1.3 #to be remove
  image_cropper: ^11.0.0
  envied: ^1.0.0
  #  cached_network_image: ^3.3.0
  calendar_builder: ^0.0.6
  # agora_rtc_engine: ^6.2.6
  flutter_tts: ^4.0.2
  permission_handler: ^12.0.1
  #  google_generative_ai: ^0.0.1-dev
  vibration: ^3.1.4
  wakelock_plus:
  record: ^6.1.1
  dio: ^5.4.3+1
  webview_flutter: ^4.7.0
  just_audio: ^0.10.5
  # share: ^2.0.4
  google_sign_in: ^7.2.0
  sign_in_with_apple: ^7.0.1
  firebase_auth: ^6.1.0
  device_info_plus: ^12.1.0
  # uni_links: ^0.5.1
  googleapis_auth: ^2.0.0
  flutter_confetti: ^0.5.1
  # intl_phone_field: ^3.1.0
  flutter_contacts: ^1.1.8
  mime: ^2.0.0
  http_parser: ^4.0.2
  encrypt: ^5.0.3
  live_activities: ^2.3.0
  quick_actions: ^1.1.0
  jwt_decoder: ^2.0.1
  jailbreak_root_detection: ^1.2.0
  share_plus: ^12.0.0
  dotted_line: ^3.2.3
  shimmer: ^3.0.0
  asn1lib: ^1.6.5
  internet_connection_checker: ^3.0.1
  connectivity_plus: ^6.1.5
  app_links: ^6.4.1
  # home_widget: ^0.7.0+1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  envied_generator: ^1.0.0
  build_runner: ^2.4.6

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/logo.png"
  min_sdk_android: 21
  web:
    generate: true
    image_path: "assets/images/logo.png"
    background_color: "#hexcode"
    theme_color: "#hexcode"
  windows:
    generate: true
    image_path: "assets/images/logo.png"
    icon_size: 48
  macos:
    generate: true
    image_path: "assets/images/logo.png"

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/fonts/

  fonts:
    - family: mohanad
      fonts:
        - asset: assets/fonts/mohanad.ttf
    - family: josefin
      fonts:
        - asset: assets/fonts/josefin.ttf
    - family: digit
      fonts:
        - asset: assets/fonts/digit.ttf

dependency_overrides:
  # record_platform_interface: "1.2.0"
